Anonymous Login
2019-12-16 00:02 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000207v1.1 Release (Closed)[All Projects] Generalpublic2009-09-09 22:41
Reporteregemme 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1 
Summary0000207: Make 3rd party modules menu titles translatable w/o altering core wp2 inc files
DescriptionActually, translating 3rd party modules menu titles from within the module's locale cause the menu to be translated only when inside the module (e.g. Help Desk appears translated when in Help Desk, otherwise remains untranslated when in Projects, Tasks, etc).

Only work around found is to add an entry in common.inc in each language, but this gets erased every upgrade.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000193closedcaseydk Special Characters (i.e. German 'Umlaute') are not displayed correctly for projects 
related to 0000112closedcaseydk loading of locale strings for tabs and crumbs 
+Relationships

-Notes

~0000382

caseydk (administrator)

This is possible but *very* poorly documented. If you look in ./locales/core.php, you'll see this one:

// language files for specific locales and specific modules (for external modules) should be
// put in modules/[the-module]/locales/[the-locale]/[the-module].inc or
// modules/[the-module]/locales/[the-locale].inc
// this allows for module specific translations to be distributed with the module

I just added the second possible translation format in r558.

~0000451

caseydk (administrator)

Closed for release.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-17 18:39 egemme New Issue
2009-07-18 07:02 caseydk Relationship added related to 0000193
2009-08-05 20:52 caseydk Relationship added related to 0000112
2009-08-12 22:09 caseydk Status new => resolved
2009-08-12 22:09 caseydk Resolution open => fixed
2009-08-12 22:09 caseydk Assigned To => caseydk
2009-08-12 22:09 caseydk Note Added: 0000382
2009-09-09 22:41 caseydk Status resolved => closed
2009-09-09 22:41 caseydk Note Added: 0000451
2009-09-09 22:41 caseydk Fixed in Version => 1.1
+Issue History